ResourcesTask (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.ant, class: ResourcesTask

# Class ResourcesTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.AbstractCatalinaTask
org.apache.catalina.ant.ResourcesTask

All Implemented Interfaces:
  `Cloneable`

public class ResourcesTask extends AbstractCatalinaTask
Ant task that implements the `/resources` command, supported by the Tomcat manager application.

Since:
  4.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `type`
  The fully qualified class name of the resource type being requested (if any).

  ### Fields inherited from class AbstractCatalinaTask

  `charset, ignoreResponseConstraint, password, url, username`

  ### Fields inherited from class BaseRedirectorHelperTask

  `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourcesTask()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Execute the requested operation.
  `String`
  `getType()`
  Return the fully qualified class name of the resource type being requested.
  `void`
  `setType(String type)`
  Set the fully qualified class name of the resource type being requested.

  ### Methods inherited from class AbstractCatalinaTask

  `execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

  ### Methods inherited from class BaseRedirectorHelperTask

  `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    protected String type
    The fully qualified class name of the resource type being requested (if any).

- ## Constructor Details

  - ### ResourcesTask

    public ResourcesTask()
    Default constructor.

- ## Method Details

  - ### getType

    public String getType()
    Return the fully qualified class name of the resource type being requested.
    Returns:
      The fully qualified class name of the resource type

  - ### setType

    public void setType(String type)
    Set the fully qualified class name of the resource type being requested.
    Parameters:
      `type` - The fully qualified class name of the resource type

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Execute the requested operation.
    Overrides:
      `execute` in class `AbstractCatalinaTask`
    Throws:
      `org.apache.tools.ant.BuildException` - if an error occurs